user  root;
worker_processes  1;

error_log  /var/log/nginx/error.log warn;
pid        /var/run/nginx.pid;

events {
    worker_connections  1024;
}

http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /var/log/nginx/access.log  main;

    sendfile        on;
    #tcp_nopush     on;

    keepalive_timeout  65;

    #gzip  on;

    # https://blog.csdn.net/weixin_44972135/article/details/92806391
    client_max_body_size 1024m;
    client_body_buffer_size 10m;
    client_header_buffer_size 10m;
    proxy_buffers 4 128k;
    proxy_busy_buffers_size 128k;

    server {
        listen       80;
        server_name  *.windymuse.site;
        
        location / {
            rewrite ^(.*)$ https://$host$1  permanent;
        } 
    }

    server {
        listen       80;
        server_name  *.windymuse.top;
        
        location / {
            rewrite ^(.*)$ https://$host$1  permanent;
        } 
    }

    server {
        listen       80;
        server_name  *.windymuse.fun;
        
        location / {
            rewrite ^(.*)$ https://$host$1  permanent;
        } 
    }

    include /etc/nginx/conf.d/*.conf;
}
